## tuxonice-userui 1.1

=== Makefile ===
CFLAGS := -Wall -O3
DESTDIR :=
PREFIX := /usr/local
INSTDIR := $(DESTDIR)$(PREFIX)/sbin

MODULES = tuxoniceui

OBJECTS = userui_core.o userui_text.o
LIBS =

# FBSPLASH
ifdef USE_FBSPLASH
OBJECTS += fbsplash
LIBS += -lmng -lpng -ljpeg -lz -lfreetype -llcms -lm
LIB_TARGETS = fbsplash/userui_fbsplash.o
CFLAGS += -DUSE_FBSPLASH
endif

# USPLASH
ifdef USE_USPLASH
OBJECTS += usplash
LIBS += -lusplash usplash/userui_usplash.o
CFLAGS += -DUSE_USPLASH
endif

default: tuxoniceui

fbsplash:
	make -C $@

usplash:
	make -C $@

tuxoniceui: $(OBJECTS)
	$(CC) userui_core.o userui_text.o $(LIB_TARGETS) $(LIBS) -o tuxoniceui

clean:
	$(RM) *.o $(TARGETS) fbsplash/*.o usplash/*.o tuxoniceui

$(INSTDIR)/%: %
	strip $<
	install -m 755 -o root -g root $< $@

install: tuxoniceui $(INSTDIR)/tuxoniceui

.PHONY: all clean install fbsplash usplash

=== fbsplash/Makefile ===
CFLAGS := -Wall -O3 -g
INCLUDES = -I/usr/include/freetype2/ -I.

TARGET = userui_fbsplash.o
OBJECTS = userui_fbsplash_core.o cmd.o common.o effects.o image.o list.o \
		parse.o mng_callbacks.o mng_render.o render.o ttf.o
SOURCES = $(patsubst %.o,%.c,$(OBJECTS))

all: $(TARGET)

userui_fbsplash.o: $(OBJECTS)
	$(CC) $(LDFLAGS) -r -nostdlib -nostartfiles $(SPLASH_LDLIBS) $^ -o $@

%.o: %.c ../userui.h config.h splash.h
	$(CC) $(CFLAGS) $(INCLUDES) -c $*.c -o $@

clean:
	$(RM) *.o $(TARGET)

## tuxonice-userui 1.0

=== debian/changelog ===
tuxonice-userui (1.0-2) unstable; urgency=low

  * Disable usplash following usplash removal (#593702). Closes: #593708.
  * Switch source format to 3.0 (quilt).
  * debian/control:
    + Update Standards-Version to 3.9.2. No changes needed.
  * debian/lintian-overrides:
    + Change overridden tag from embedded-zlib to embedded-library.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 05 Nov 2011 17:41:35 +0900

tuxonice-userui (1.0-1) unstable; urgency=low

  * New upstream release.
    + Get rid of the patch as it has been applied upstream.
  * debian/control:
    + Update Standards-Version to 3.8.1. No changes needed.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 04 May 2009 14:41:31 +0100

tuxonice-userui (0.7.3-1) unstable; urgency=low

  * New upstream release. Closes: #512302.
  * Add debian/watch.
  * Get rid of deprecated linda override.
  * Get rid of now useless suspend2-userui dummy package.
  * debian/control:
    + Fix mispelling in description.
    + Add ${misc:Depends} to Depends in case the result of a call to
      debhelper tools adds extra dependencies.
    + Bump debhelper Build-Depends to take advantage of dh_lintian.
  * debian/copyright:
    + Update copyright years.
    + Reorganize to make it clearer.
  * Add ramdisk support. Thanks to Dylan Thurston. Closes: #499856.
    + Add debian/postinst and debian/postrm.
    + debian/control:
      - Add Depends against initramfs-tools.
    + debian/NEWS:
      - Add entry explaining how to use it.
  * Add 01_dont-display-reboot-option-on-resume.patch to not display
    reboot option when resuming. Closes: #424943.
    + Add debian/README.source according to the policy.
    + debian/control:
      - Add Build-Depends on quilt.
    + debian/rules:
      - Include CDBS patchsys-quilt.mk.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 05 Mar 2009 22:42:46 +0000

tuxonice-userui (0.7.2+clean-4) unstable; urgency=low

  * New email address.
  * Drop useless debian/control.in.
  * debian/control:
    + Update Standards-Version to 3.8.0.
    + Wrap Build-Depends field.
  * Drop patches which are now useless because this is done in
    debian/rules directly.
  * Don't build tuxoniceui_usplash binary on ia64 because usplash is
    unavailable on ia64. Closes: #423714.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 30 Jun 2008 16:13:53 +0200

tuxonice-userui (0.7.2+clean-3) unstable; urgency=low

  * Rename suspend2-userui to tuxonice-userui. Closes: #446147.
  * Add debian/shlibs.local because libusplash doesn't provide a shlibs
    file yet, see #453847. Closes: #453816.
  * debian/control*:
    + Move Homepage field to the source package (dpkg supports it now).

 -- Arnaud Fontaine <arnaud@andesi.org>  Sat, 01 Dec 2007 14:52:59 +0000

suspend2-userui (0.7.2+clean-2) unstable; urgency=low

  * Add debian/patches/01_nostrip.diff for handling nostrip build
    option. Closes: #438077.

 -- Arnaud Fontaine <arnaud@andesi.org>  Mon, 27 Aug 2007 15:35:40 +0200

suspend2-userui (0.7.2+clean-1) unstable; urgency=low

  * New upstream release. Closes: #426189.
  * Drop useless debian/patches/fix-ftbfs-ia64.diff.
  * debian/control*:
    + Add depends against libusplash-dev.

 -- Arnaud Fontaine <arnaud@andesi.org>  Sun, 22 Jul 2007 11:07:59 +0200

suspend2-userui (0.7.0-1) unstable; urgency=low

  * New upstream release.
    - Fix bug which happened with suspend2 > 2.2.9. Closes: #409511.
    - Remove fix-syscall.diff which has been added upstream.
  * Add lintian and linda overrides for statically linked binaries.

 -- Arnaud Fontaine <arnaud@andesi.org>  Sat, 17 Feb 2007 14:28:54 +0100

suspend2-userui (0.6.4-3) unstable; urgency=low

  * debian/patches/fix-ftbfs-ia64.diff:
    - New patch which fixes FTBFS on ia64 because PAGE_MASK shouldn't
      be used from userspace.

 -- Arnaud Fontaine <arnaud@andesi.org>  Thu,  4 Jan 2007 20:48:51 +0100

suspend2-userui (0.6.4-2) unstable; urgency=low

  * Adopted package with maintainers permission.
  * Switch to cdbs and hereby support build-indep target.
    Closes: #395774.
  * debian/control:
    - Replace any in favor of the architectures supported by suspend2.
      Closes: #389325.
  * New patch which fixes obsolete syscall usage. Thanks to Ted 
    Percival <ted@midg3t.net>. Closes: #389317.
  * Move binaries from /usr/sbin to /usr/lib/suspend2-userui according
    to the FHS.
    - New patch which fixes makefile install path.

 -- Arnaud Fontaine <arnaud@andesi.org>  Sun, 31 Dec 2006 17:16:47 +0100

suspend2-userui (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Updated to Standards-Version 3.7.2. No changes necessary.

 -- Thomas Schoepf <schoepf@debian.org>  Tue, 29 Aug 2006 18:53:51 +0200

suspend2-userui (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. Thanks Martin!
  * Closes: #324988: ITP: suspend2-userui -- user-space interfaces for
    software suspend2

 -- Thomas Schoepf <schoepf@debian.org>  Wed,  8 Feb 2006 21:08:21 +0100

suspend2-userui (0.5.3-1) unstable; urgency=low

  * Initial release.

 -- martin f. krafft <madduck@debian.org>  Tue, 23 Aug 2005 15:30:13 +0200

=== debian/control ===
Source: tuxonice-userui
Priority: extra
Section: misc
Maintainer: Arnaud Fontaine <arnau@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1),
               debhelper (>= 6.0.7),
               libmng-dev (>= 1.0.5),
               libfreetype6-dev,
               libpng12-dev,
Standards-Version: 3.9.2
Homepage: http://www.tuxonice.net/userui

Package: tuxonice-userui
Architecture: i386 ia64 powerpc ppc64 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools
Recommends: hibernate
Description: user-space interfaces for TuxOnIce
 TuxOnIce is an alternative implementation to suspend a Linux machine
 by writing its state to memory for later resuming. A kernel patch for
 TuxOnIce is available separately.
 .
 This package provides several user interfaces which improve the
 user's experience during the suspend and resume processes. It is not
 needed for TuxOnIce functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET := tuxoniceui_text tuxoniceui_fbsplash

binary-post-install/tuxonice-userui::
	install -m 755 -t $(CURDIR)/debian/tuxonice-userui/usr/lib/tuxonice-userui/ \
		 $(DEB_MAKE_BUILD_TARGET)

	install -m 755 debian/initramfs.hook \
		$(CURDIR)/debian/tuxonice-userui/usr/share/initramfs-tools/hooks/tuxonice_userui

=== debian/watch ===
version=3
http://www.tuxonice.net/downloads/all/tuxonice-userui-(.*)\.tar\.gz

## tuxonice-userui 1.1

=== debian/changelog ===
tuxonice-userui (1.1-2~exp1) experimental; urgency=low

  * Upload to experimental.
  * Add a pm-utils hook to inform the kernel about the userui location
    (Closes: #422747).
  * Add pm-utils to Recommends as an alternative to hibernate.
  * Update Homepage.
  * Use proper CFLAGS and LDFLAGS in the build process.
  * Update Standards-Version to 3.9.4 (no change needed).

 -- Andrey Rahmatullin <wrar@wrar.name>  Fri, 21 Sep 2012 02:55:56 +0600

tuxonice-userui (1.1-1) unstable; urgency=low

  * New upstream version (Closes: #648125).
  * Adopt the package (Closes: #647875).
  * Update Standards-Version to 3.9.3 (no change needed).
  * Add Vcs-* fields.
  * Replace CDBS with dh(1), bump debian/compat to 9, update Build-Depends
    accordingly.
  * Drop obsolete shlibs.local.
  * Drop lintian-overrides as the binary is now linked dynamically.
  * Change Priority to optional.
  * Replace libpng12-dev build dependency with libpng-dev (Closes: #662527).
  * Initramfs hook: do not check whether the loaded kernel supports ToI and
    whether the kernel being processed has tuxonice_userui as a module; always
    install the binary into initramfs instead (Closes: #574604).
  * Call update-initramfs in maintainer scripts only if it's available
    (Closes: #660332).
  * Fix debian/watch.
  * Convert debian/copyright to the machine-readable format.
  * Fix "implicit declaration of printk" warning.
  * Fix "symbol alignments of progress_text differ" warning.
  * Build all code with -g to help with debugging.
  * Fix mode switching which is broken in 1.1.

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 28 Apr 2012 16:44:00 +0600

=== debian/control ===
Source: tuxonice-userui
Priority: optional
Section: misc
Maintainer: Andrey Rahmatullin <wrar@wrar.name>
Build-Depends: debhelper (>= 9~),
               libmng-dev (>= 1.0.5),
               libfreetype6-dev,
               libpng-dev,
Standards-Version: 3.9.4
Homepage: https://github.com/NigelCunningham/Tuxonice-Userui
Vcs-Git: git://git.debian.org/collab-maint/tuxonice-userui.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/tuxonice-userui.git;a=summary

Package: tuxonice-userui
Architecture: i386 ia64 powerpc ppc64 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools
Recommends: hibernate | pm-utils
Description: user-space interfaces for TuxOnIce
 TuxOnIce is an alternative implementation to suspend a Linux machine
 by writing its state to memory for later resuming. A kernel patch for
 TuxOnIce is available separately.
 .
 This package provides several user interfaces which improve the
 user's experience during the suspend and resume processes. It is not
 needed for TuxOnIce functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- USE_FBSPLASH=1

override_dh_auto_install:
	install -m 755 debian/initramfs.hook \
		$(CURDIR)/debian/tuxonice-userui/usr/share/initramfs-tools/hooks/tuxonice_userui

	install -m 755 debian/pm-utils.hook \
		$(CURDIR)/debian/tuxonice-userui/usr/lib/pm-utils/sleep.d/20tuxonice-userui
	
	install -m 644 debian/pm-utils.config \
		$(CURDIR)/debian/tuxonice-userui/etc/pm/config.d/tuxonice-userui

## tuxonice-userui 1.1%2Bdfsg1.gc3bdd83

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tuxonice-userui-$1\.tar\.gz/,dversionmangle=s/\+dfsg\d+\.g[0-9a-f]+$// \
  https://github.com/NigelCunningham/Tuxonice-Userui/releases .*/v?(\d\S*)\.tar\.gz

## tuxonice-userui 1.1+dfsg1.gc3bdd83

=== Makefile ===
CFLAGS += -Wall -O3
DESTDIR :=
PREFIX := /usr/local
INSTDIR := $(DESTDIR)$(PREFIX)/sbin

MODULES = tuxoniceui

OBJECTS = userui_core.o userui_text.o
LIBS =

# FBSPLASH
ifdef USE_FBSPLASH
OBJECTS += fbsplash
LIBS += -lmng -lpng -ljpeg -lfreetype -lm
LIB_TARGETS = fbsplash/userui_fbsplash.o
CFLAGS += -DUSE_FBSPLASH
endif

# USPLASH
ifdef USE_USPLASH
OBJECTS += usplash
LIBS += -lusplash usplash/userui_usplash.o
CFLAGS += -DUSE_USPLASH
endif

#PLYMOUTH
ifdef USE_PLYMOUTH
OBJECTS += plymouth
LIBS += -lplymouth plymouth/plymouth.o
CFLAGS += -DUSE_PLYMOUTH
endif

default: tuxoniceui

fbsplash:
	make -C $@

usplash:
	make -C $@

plymouth:
	make -C $@

tuxoniceui: $(OBJECTS)
	$(CC) $(LDFLAGS) userui_core.o userui_text.o $(LIB_TARGETS) $(LIBS) -o tuxoniceui

clean:
	$(RM) *.o $(TARGETS) fbsplash/*.o usplash/*.o plymouth/*.o tuxoniceui

$(INSTDIR)/%: %
	strip $<
	install -D -m 755 -o root -g root $< $@

install: tuxoniceui $(INSTDIR)/tuxoniceui

.PHONY: all clean install fbsplash usplash plymouth

=== fbsplash/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS := -Wall -O3 -g
+CFLAGS += -Wall -O3 -g
 INCLUDES = -I/usr/include/freetype2/ -I.
 
 TARGET = userui_fbsplash.o

=== usplash/Makefile ===
CFLAGS := -g -Wall -fPIC -O3 -D_GNU_SOURCE
INCLUDES = -I.

TARGET = userui_usplash.o
OBJECTS = userui_usplash_core.o
SOURCES = $(patsubst %.o,%.c,$(OBJECTS))

all: $(TARGET)

userui_usplash.o: $(OBJECTS)
	$(CC) $(LDFLAGS) -r -nostdlib -nostartfiles $(OBJECTS) -o $@

.c.o: ../userui.h
	$(CC) $(CFLAGS) $(INCLUDES) -c $*.c -o $@

clean:
	$(RM) *.o $(TARGET)

.PHONY: install clean

=== debian/changelog ===
tuxonice-userui (1.1+dfsg1.gc3bdd83-4) unstable; urgency=medium

  * Update Standards-Version to 3.9.6 (no change needed).
  * Move to contrib area since the kernel patch is not packaged anymore.
  * debian/patches/0002-Fix-includes-for-recent-freetype-versions.patch:
    update to fix a compiler warning.
  * Add patch to fix "ftbfs with GCC-5" (Closes: #778151).

 -- Julien Muchembled <jm@jmuchemb.eu>  Sun, 19 Jul 2015 21:40:34 +0200

tuxonice-userui (1.1+dfsg1.gc3bdd83-3) unstable; urgency=medium

  * Fix FTBFS due to missing include of <stdio.h> (Closes: #760355).

 -- Julien Muchembled <jm@jmuchemb.eu>  Thu, 04 Sep 2014 15:24:32 +0200

tuxonice-userui (1.1+dfsg1.gc3bdd83-2) unstable; urgency=medium

  * Recommends systemd-sysv instead of systemd because
    the latter does not mean that PID 1 is systemd.
  * Add a Breaks: dependency to ensure systemd is not affected by bug #746463
    (TuxOnIce broken by the fix of LP #1313522 in systemd 204-11).

 -- Julien Muchembled <jm@jmuchemb.eu>  Wed, 20 Aug 2014 13:35:11 +0200

tuxonice-userui (1.1+dfsg1.gc3bdd83-1) unstable; urgency=medium

  [ Julien Muchembled ]
  * New upstream snapshot (2012-11-08).
    Drop patches merged upstream.
  * Adopt the package (Closes: #719529).
  * Update copyright years.
  * Update Standards-Version to 3.9.5 (no change needed).
  * Manage quilt patches with gbp-pq.
  * Fix build failure with freetype 2.5.1 (Closes: #733358).
  * Add patch to fix upstream regression: corrupted display of PNG.
  * Stop recommending abandonned 'hibernate'
  * Fix vcs-field-not-canonical reported by Lintian.
  * Let tuxonice-userui change VT rather than implementing it in every
    hibernation script.
  * Add systemd support and improve initramfs support.
    Add a debian/NEWS entry to explain how to reconfigure TuxOnIce.
  * initramfs: copy /etc/splash/tuxonice if it exists.
  * Add get-orig-source target for upstream Git snapshot.
  * Remove /themes directory from source.
  * Upload to unstable now that Wheezy is out and all RC bugs are fixed.

  [ Arnaud Fontaine ]
  * Update debian/watch as upstream releases are now done on GitHub.

 -- Julien Muchembled <jm@jmuchemb.eu>  Wed, 12 Mar 2014 11:25:53 +0100

=== debian/control ===
Source: tuxonice-userui
Priority: optional
Section: contrib/misc
Maintainer: Julien Muchembled <jm@jmuchemb.eu>
Build-Depends: debhelper (>= 9~),
               libmng-dev (>= 1.0.5),
               libfreetype6-dev,
               libpng-dev,
Standards-Version: 3.9.6
Homepage: https://github.com/NigelCunningham/Tuxonice-Userui
Vcs-Git: git://anonscm.debian.org/collab-maint/tuxonice-userui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tuxonice-userui.git;a=summary

Package: tuxonice-userui
Architecture: i386 ia64 powerpc ppc64 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: systemd (<= 208-6)
Recommends: initramfs-tools, pm-utils | systemd-sysv
Description: user-space interfaces for TuxOnIce
 TuxOnIce is an alternative implementation to suspend a Linux machine
 by writing its state to memory for later resuming. A kernel patch for
 TuxOnIce is available separately.
 .
 This package contains several user interfaces which improve the user's
 experience during the suspend and resume processes. It also adds TuxOnIce
 support to initramfs and provides a way to configure TuxOnIce settings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2, $(shell dpkg-parsechangelog -l$(PKD)/changelog))
UVER = $(shell dpkg-parsechangelog -l$(PKD)/changelog | \
               sed -nr 's/^Version: (.*:)?(.*)-(.*)/\2/p')

.PHONY: get-orig-source
get-orig-source: $(PKG)_$(UVER).orig.tar.xz
$(PKG)_$(UVER).orig.tar.xz: $(PKD)/get-orig-source
	$^ -f https://github.com/NigelCunningham/Tuxonice-Userui/tarball/%s \
	   -x '^/themes(/|$$)' $@

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- USE_FBSPLASH=1

override_dh_auto_install:
	install () { set "debian/$$1" "$(CURDIR)/debian/tuxonice-userui/$$2"; \
		mkdir -p $${2%/*} && cp --preserve=mode,timestamps "$$@"; }; \
	\
	install initramfs.hook           usr/share/initramfs-tools/hooks/tuxonice && \
	install initramfs.local-premount usr/share/initramfs-tools/scripts/local-premount/tuxonice && \
	install pm-utils.hook            usr/lib/pm-utils/sleep.d/20tuxonice && \
	install systemd-sleep.hook       lib/systemd/system-sleep/tuxonice

	mkdir -p $(CURDIR)/debian/tuxonice-userui/etc
	echo '# See /usr/share/doc/tuxonice-userui/examples/tuxonice.conf.gz for details' > \
		$(CURDIR)/debian/tuxonice-userui/etc/tuxonice.conf

# Make path of examples/tuxonice.conf stable for /etc/tuxonice.conf
override_dh_compress:
	dh_compress usr/share/doc/tuxonice-userui/examples/tuxonice.conf
